import { toTrashMultiple } from "@/models/posts.model";
import { response } from "@/utils/helper";

export async function POST(request) {
  try {
    const data = await request.json();
    const result = await toTrashMultiple(data);

    return response(200, "Delete post data successfully", result);
  } catch (error) {
    return response(500, "Internal Server Error", null, {
      error: "Failed to delete data",
    });
  }
}
